summaryrefslogtreecommitdiff
path: root/libre/syslinux/rePKGBUILD
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-05-30 12:41:17 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2012-05-30 12:41:17 -0300
commite68d976a35ac019eaad2d80b2818748211176d5b (patch)
tree716c653396b08e05e12b6acc97d06bb7cb9fd72c /libre/syslinux/rePKGBUILD
parente855f30d427d16dc9b9eada81e48c6acd2400793 (diff)
parent35c8fd0c42370098fe43db71c93aa22b4d41507b (diff)
downloadabslibre-e68d976a35ac019eaad2d80b2818748211176d5b.tar.gz
abslibre-e68d976a35ac019eaad2d80b2818748211176d5b.tar.bz2
abslibre-e68d976a35ac019eaad2d80b2818748211176d5b.zip
Merge branch 'master' of ssh://gparabola/srv/git/abslibre
Conflicts: libre/your-freedom/PKGBUILD
Diffstat (limited to 'libre/syslinux/rePKGBUILD')
-rw-r--r--libre/syslinux/rePKGBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/libre/syslinux/rePKGBUILD b/libre/syslinux/rePKGBUILD
new file mode 100644
index 000000000..a8eb152d5
--- /dev/null
+++ b/libre/syslinux/rePKGBUILD
@@ -0,0 +1,45 @@
+# This is an example rePKGBUILD file. Use this as a start to creating your own,
+# and remove these comments. For more information, see 'man PKGBUILD'.
+# NOTE: Please fill out the license field for your package! If it is unknown,
+# then please put 'unknown'.
+
+# Maintainer (Parabola): André Silva <andre.paulista@adinet.com.uy>
+source PKGBUILD
+unset build package md5sums source check
+_repo=core
+pkgname='syslinux'
+options=(!strip)
+source=(PKGBUILD
+# http://mirrors.kernel.org/archlinux/${_repo}/os/$CARCH/${pkgname}-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}
+ http://mirrors.kernel.org/archlinux/${_repo}/os/$CARCH/${pkgname}-${pkgver}-4-${CARCH}${PKGEXT}
+ # files for pkg modifications
+ syslinux.cfg
+ splash.png)
+
+build() {
+ cd "${srcdir}/"
+# rm -v .{INSTALL,PKGINFO} ${pkgname%}-$pkgver-$pkgrel-$CARCH$PKGEXT || true
+ rm -v .{INSTALL,PKGINFO} ${pkgname%}-$pkgver-4-$CARCH$PKGEXT || true
+ # put actions for package modifications below this line
+
+ rm -v boot/syslinux/syslinux.cfg
+}
+
+package_syslinux() {
+ pkgdesc="Collection of boot loaders that boot from FAT, ext2/3/4 and btrfs filesystems, from CDs and via PXE (Parabola rebranded)"
+ install=syslinux.install
+ backup=('boot/syslinux/syslinux.cfg'
+ 'boot/syslinux/splash.png')
+ optdepends=('perl-passwd-md5: For md5pass'
+ 'perl-digest-sha1: For sha1pass'
+ 'mtools: For mkdiskimage and syslinux support'
+ )
+ # Install the default configuration
+ install -D -m644 "$srcdir"/syslinux.cfg "$pkgdir"/boot/syslinux/syslinux.cfg
+ # Install Parabola splash
+ install -D -m644 "$srcdir"/splash.png "$pkgdir"/boot/syslinux/splash.png
+
+
+ find ${srcdir} -maxdepth 1 -type l -delete
+ cp -a ${srcdir}/* ${pkgdir}
+}